<!-- @format -->

<template>
  <div class="flex justify-center">
    <div
      class="text-center"
      style="margin-top: 100px; font-size: 16px; font-weight: 550"
    >
      您申请办理的
      <span class="content"> {{ `“燕赵英才卡(${route.query.type}卡)”` }} </span>
      被本系统预受理，受理编号为:
      <span class="content">
        {{ `“${numbering}”` }}
      </span>
      {{ `，工作人员将尽快核实您提交申请材料的有效性。` }}
    </div>

    <div style="display: flex; justify-content: center; margin-top: 40px">
      <el-button
        style="width: 100px; height: 40px; font-size: 16px"
        type="primary"
        @click="handleFinish"
        >完成</el-button
      >
    </div>
  </div>
</template>
<script setup>
import { finishMatter } from "@/api/matterClass/index";
import { useRoute, useRouter } from "vue-router";
import { getCurrentInstance } from "vue";

const { proxy } = getCurrentInstance();
const route = useRoute();
const router = useRouter();
const numbering = ref(null);

const props = defineProps(["materialCalssId"]);

finishMatter(props.materialCalssId).then((res) => {
  numbering.value = res.data.sehnqingNumber;
});
const handleFinish = () => {
  proxy.$tab.closePage();
  router.replace({
    path: "/application",
  });
};
</script>
<style lang="scss" scoped>
.content {
  color: red;
}
</style>
